Page MenuHomePhabricator

[Task] Add a parser for the property page
Closed, ResolvedPublic

Description

The Properties should be on a Wikipage in the mediawiki namespace and I'll need to have code to parse the Wikitext to a PHP array to be able to work with it.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : wmf/1.27.0-wmf.23Add a parser for the property page
mediawiki/extensions/Wikibase : masterRemove unused code from PropertyOrderProvider classes
mediawiki/extensions/Wikibase : masterAdd a parser for the property page

Related Objects

StatusAssignedTask
Resolvedthiemowmde
DeclinedNone
ResolvedLydia_Pintscher
Resolvedhoo
InvalidLydia_Pintscher
ResolvedLucie
ResolvedAddshore
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedJanZerebecki
ResolvedJanZerebecki
DeclinedNone
DuplicateLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
Resolvedhoo
ResolvedLucie
ResolvedLucie
Resolved Jonas
ResolvedAklapper
DeclinedDereckson
Resolvedhoo
ResolvedNone
ResolvedLucie
ResolvedLucie
InvalidLucie
ResolvedLucie
OpenNone
Resolvedhoo

Event Timeline

Lucie created this task.Dec 9 2015, 2:59 PM
Lucie claimed this task.
Lucie raised the priority of this task from to Normal.
Lucie updated the task description. (Show Details)
Lucie added a subscriber: Lucie.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 9 2015, 2:59 PM
Lucie moved this task from Incoming to Review on the ArticlePlaceholder board.Jan 5 2016, 12:14 AM
Lucie moved this task from Review to Doing on the ArticlePlaceholder board.
Lucie moved this task from Doing to Review on the ArticlePlaceholder board.May 7 2016, 10:22 AM

Change 278726 had a related patch set uploaded (by Hoo man):
Add a parser for the property page

https://gerrit.wikimedia.org/r/278726

Change 278726 merged by jenkins-bot:
Add a parser for the property page

https://gerrit.wikimedia.org/r/278726

hoo closed this task as Resolved.May 8 2016, 11:58 PM
hoo removed a project: Patch-For-Review.
hoo added a subscriber: hoo.

Some tests are still pending merge in https://gerrit.wikimedia.org/r/287392.

Change 287578 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Remove unused code from PropertyOrderProvider classes

https://gerrit.wikimedia.org/r/287578

Change 287578 merged by jenkins-bot:
Remove unused code from PropertyOrderProvider classes

https://gerrit.wikimedia.org/r/287578

Lucie moved this task from Review to Done on the ArticlePlaceholder board.May 10 2016, 11:50 AM

Change 288219 had a related patch set uploaded (by Hoo man):
Add a parser for the property page

https://gerrit.wikimedia.org/r/288219

Change 288219 merged by jenkins-bot:
Add a parser for the property page

https://gerrit.wikimedia.org/r/288219